// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 613);
/******/ })
/************************************************************************/
/******/ ({

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var has = Object.prototype.hasOwnProperty;

var hexTable = (function () {
    var array = [];
    for (var i = 0; i < 256; ++i) {
        array.push('%' + ((i < 16 ? '0' : '') + i.toString(16)).toUpperCase());
    }

    return array;
}());

var compactQueue = function compactQueue(queue) {
    while (queue.length > 1) {
        var item = queue.pop();
        var obj = item.obj[item.prop];

        if (Array.isArray(obj)) {
            var compacted = [];

            for (var j = 0; j < obj.length; ++j) {
                if (typeof obj[j] !== 'undefined') {
                    compacted.push(obj[j]);
                }
            }

            item.obj[item.prop] = compacted;
        }
    }
};

var arrayToObject = function arrayToObject(source, options) {
    var obj = options && options.plainObjects ? Object.create(null) : {};
    for (var i = 0; i < source.length; ++i) {
        if (typeof source[i] !== 'undefined') {
            obj[i] = source[i];
        }
    }

    return obj;
};

var merge = function merge(target, source, options) {
    if (!source) {
        return target;
    }

    if (typeof source !== 'object') {
        if (Array.isArray(target)) {
            target.push(source);
        } else if (typeof target === 'object') {
            if ((options && (options.plainObjects || options.allowPrototypes)) || !has.call(Object.prototype, source)) {
                target[source] = true;
            }
        } else {
            return [target, source];
        }

        return target;
    }

    if (typeof target !== 'object') {
        return [target].concat(source);
    }

    var mergeTarget = target;
    if (Array.isArray(target) && !Array.isArray(source)) {
        mergeTarget = arrayToObject(target, options);
    }

    if (Array.isArray(target) && Array.isArray(source)) {
        source.forEach(function (item, i) {
            if (has.call(target, i)) {
                if (target[i] && typeof target[i] === 'object') {
                    target[i] = merge(target[i], item, options);
                } else {
                    target.push(item);
                }
            } else {
                target[i] = item;
            }
        });
        return target;
    }

    return Object.keys(source).reduce(function (acc, key) {
        var value = source[key];

        if (has.call(acc, key)) {
            acc[key] = merge(acc[key], value, options);
        } else {
            acc[key] = value;
        }
        return acc;
    }, mergeTarget);
};

var assign = function assignSingleSource(target, source) {
    return Object.keys(source).reduce(function (acc, key) {
        acc[key] = source[key];
        return acc;
    }, target);
};

var decode = function (str, decoder, charset) {
    var strWithoutPlus = str.replace(/\+/g, ' ');
    if (charset === 'iso-8859-1') {
        // unescape never throws, no try...catch needed:
        return strWithoutPlus.replace(/%[0-9a-f]{2}/gi, unescape);
    }
    // utf-8
    try {
        return decodeURIComponent(strWithoutPlus);
    } catch (e) {
        return strWithoutPlus;
    }
};

var encode = function encode(str, defaultEncoder, charset) {
    // This code was originally written by Brian White (mscdex) for the io.js core querystring library.
    // It has been adapted here for stricter adherence to RFC 3986
    if (str.length === 0) {
        return str;
    }

    var string = typeof str === 'string' ? str : String(str);

    if (charset === 'iso-8859-1') {
        return escape(string).replace(/%u[0-9a-f]{4}/gi, function ($0) {
            return '%26%23' + parseInt($0.slice(2), 16) + '%3B';
        });
    }

    var out = '';
    for (var i = 0; i < string.length; ++i) {
        var c = string.charCodeAt(i);

        if (
            c === 0x2D // -
            || c === 0x2E // .
            || c === 0x5F // _
            || c === 0x7E // ~
            || (c >= 0x30 && c <= 0x39) // 0-9
            || (c >= 0x41 && c <= 0x5A) // a-z
            || (c >= 0x61 && c <= 0x7A) // A-Z
        ) {
            out += string.charAt(i);
            continue;
        }

        if (c < 0x80) {
            out = out + hexTable[c];
            continue;
        }

        if (c < 0x800) {
            out = out + (hexTable[0xC0 | (c >> 6)] + hexTable[0x80 | (c & 0x3F)]);
            continue;
        }

        if (c < 0xD800 || c >= 0xE000) {
            out = out + (hexTable[0xE0 | (c >> 12)] + hexTable[0x80 | ((c >> 6) & 0x3F)] + hexTable[0x80 | (c & 0x3F)]);
            continue;
        }

        i += 1;
        c = 0x10000 + (((c & 0x3FF) << 10) | (string.charCodeAt(i) & 0x3FF));
        out += hexTable[0xF0 | (c >> 18)]
            + hexTable[0x80 | ((c >> 12) & 0x3F)]
            + hexTable[0x80 | ((c >> 6) & 0x3F)]
            + hexTable[0x80 | (c & 0x3F)];
    }

    return out;
};

var compact = function compact(value) {
    var queue = [{ obj: { o: value }, prop: 'o' }];
    var refs = [];

    for (var i = 0; i < queue.length; ++i) {
        var item = queue[i];
        var obj = item.obj[item.prop];

        var keys = Object.keys(obj);
        for (var j = 0; j < keys.length; ++j) {
            var key = keys[j];
            var val = obj[key];
            if (typeof val === 'object' && val !== null && refs.indexOf(val) === -1) {
                queue.push({ obj: obj, prop: key });
                refs.push(val);
            }
        }
    }

    compactQueue(queue);

    return value;
};

var isRegExp = function isRegExp(obj) {
    return Object.prototype.toString.call(obj) === '[object RegExp]';
};

var isBuffer = function isBuffer(obj) {
    if (obj === null || typeof obj === 'undefined') {
        return false;
    }

    return !!(obj.constructor && obj.constructor.isBuffer && obj.constructor.isBuffer(obj));
};

var combine = function combine(a, b) {
    return [].concat(a, b);
};

module.exports = {
    arrayToObject: arrayToObject,
    assign: assign,
    combine: combine,
    compact: compact,
    decode: decode,
    encode: encode,
    isBuffer: isBuffer,
    isRegExp: isRegExp,
    merge: merge
};


/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var replace = String.prototype.replace;
var percentTwenties = /%20/g;

module.exports = {
    'default': 'RFC3986',
    formatters: {
        RFC1738: function (value) {
            return replace.call(value, percentTwenties, '+');
        },
        RFC3986: function (value) {
            return value;
        }
    },
    RFC1738: 'RFC1738',
    RFC3986: 'RFC3986'
};


/***/ }),

/***/ 319:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(320);

Object.defineProperty(exports, 'default', {
  enumerable: true,
  get: function get() {
    return _interopRequireDefault(_index).default;
  }
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/***/ }),

/***/ 320:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(321)
)

/* script */
__vue_exports__ = __webpack_require__(322)

/* template */
var __vue_template__ = __webpack_require__(324)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-2\\node_modules\\weex-ui\\packages\\wxc-button\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-77c133fc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 321:
/***/ (function(module, exports) {

module.exports = {
  "wxc-btn": {
    "width": "702",
    "height": "88",
    "alignItems": "center",
    "justifyContent": "center",
    "borderRadius": "12",
    "opacity": 1
  },
  "btn-text": {
    "textOverflow": "ellipsis",
    "lines": 1,
    "fontSize": "36",
    "color": "#ffffff"
  }
}

/***/ }),

/***/ 322:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//
//
//
//
//
//
//
//
//
//
//

var _type = __webpack_require__(323);

exports.default = {
  props: {
    text: {
      type: String,
      default: '确认'
    },
    size: {
      type: String,
      default: 'none'
    },
    type: {
      type: String,
      default: 'red'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    btnStyle: Object,
    textStyle: Object,
    disabledStyle: Object
  },
  computed: {
    mrBtnStyle: function mrBtnStyle() {
      var type = this.type,
          disabled = this.disabled,
          btnStyle = this.btnStyle,
          size = this.size,
          disabledStyle = this.disabledStyle;


      var mrBtnStyle = _extends({}, _type.STYLE_MAP[type], btnStyle, _type.BUTTON_STYLE_MAP[size]);

      var disabledInStyle = { opacity: 0.2 };
      if (type === 'white') {
        disabledInStyle = { backgroundColor: 'rgba(0, 0, 0, 0.1)' };
      }

      return disabled ? _extends({}, mrBtnStyle, disabledInStyle, disabledStyle, {
        borderWidth: 0
      }) : mrBtnStyle;
    },
    mrTextStyle: function mrTextStyle() {
      var type = this.type,
          disabled = this.disabled,
          textStyle = this.textStyle,
          size = this.size;

      var mrTextStyle = _extends({}, _type.TEXT_STYLE_MAP[type], textStyle, _type.TEXT_FONTSIZE_STYLE_MAP[size]);
      return disabled ? _extends({}, mrTextStyle, { color: '#FFFFFF' }) : mrTextStyle;
    }
  },
  methods: {
    onClicked: function onClicked(e) {
      var type = this.type,
          disabled = this.disabled;

      this.$emit('wxcButtonClicked', { e: e, type: type, disabled: disabled });
    }
  }
};

/***/ }),

/***/ 323:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var STYLE_MAP = exports.STYLE_MAP = {
  red: {
    backgroundColor: '#FF5000'
  },
  yellow: {
    backgroundColor: '#FFC900'
  },
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#A5A5A5',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#0F8DE8'
  },
  green: {
    backgroundColor: '#19be6b'
  }
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  red: {
    color: '#FFFFFF'
  },
  yellow: {
    color: '#FFFFFF'
  },
  blue: {
    color: '#FFFFFF'
  },
  white: {
    color: '#3D3D3D'
  },
  green: {
    color: '#FFFFFF'
  }
};

var BUTTON_STYLE_MAP = exports.BUTTON_STYLE_MAP = {
  full: {
    width: '702px',
    height: '88px'
  },
  big: {
    width: '339px',
    height: '70px'
  },
  medium: {
    width: '218px',
    height: '60px'
  },
  small: {
    width: '157px',
    height: '44px'
  }
};

var TEXT_FONTSIZE_STYLE_MAP = exports.TEXT_FONTSIZE_STYLE_MAP = {
  full: {
    fontSize: '36px'
  },
  big: {
    fontSize: '32px'
  },
  medium: {
    fontSize: '28px'
  },
  small: {
    fontSize: '24px'
  }
};

/***/ }),

/***/ 324:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wxc-btn"],
    style: _vm.mrBtnStyle,
    attrs: {
      "accessible": true,
      "ariaLabel": _vm.text
    },
    on: {
      "click": _vm.onClicked
    }
  }, [_c('text', {
    staticClass: ["btn-text"],
    style: _vm.mrTextStyle
  }, [_vm._v(_vm._s(_vm.text))])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var stringify = __webpack_require__(7);
var parse = __webpack_require__(8);
var formats = __webpack_require__(3);

module.exports = {
    formats: formats,
    parse: parse,
    stringify: stringify
};


/***/ }),

/***/ 6:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /*
                                                                                                                                                                                                                                                                   * File: index.js
                                                                                                                                                                                                                                                                   * Project: weex-new
                                                                                                                                                                                                                                                                   * File Created: Wednesday, 19th December 2018 5:25:07 pm
                                                                                                                                                                                                                                                                   * Author: ReedSun (sunhongzhao@foxmail.com)
                                                                                                                                                                                                                                                                   * -----
                                                                                                                                                                                                                                                                   * Last Modified: Tuesday, 13th August 2019 11:25:41 am
                                                                                                                                                                                                                                                                   * Modified By: ReedSun (sunhongzhao@foxmail.com>)
                                                                                                                                                                                                                                                                   * -----
                                                                                                                                                                                                                                                                   * Copyright 2018 - 2018, Shanjing
                                                                                                                                                                                                                                                                   */


exports.default = function () {
  var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var defaultOptions = {
    type: 'weex',
    closeCurrentPage: false,
    otherOptions: {}
  };
  var currentOptions = _extends({}, defaultOptions, options);
  var host = weex.config.bundleUrl.match(/https?:\/\/\S+?\//)[0];
  var weexPageUrlPrefix = function () {
    if (host.indexOf('192.168') !== -1) {
      return host + 'dist/';
    }
    return host + 'weex/';
  }();
  if (currentOptions.type === 'weex') {
    if (['android', 'iOS'].indexOf(WXEnvironment.platform) !== -1) {
      var tplUrl = '' + weexPageUrlPrefix + weexPageList[currentOptions.page].path + '.js?' + (0, _qs.stringify)(currentOptions.pageQueryParams);
      var pageTitle = currentOptions.pageTitle || weexPageList[currentOptions.page].title || '';
      var otherOptions = _extends({}, weexPageList[currentOptions.page].otherOptions, weexPageList.otherOptions, currentOptions.otherOptions);
      navigator.push({
        route: 'route://weex?' + (0, _qs.stringify)(_extends({
          _tpl: tplUrl,
          _page_title: pageTitle
        }, otherOptions)),
        finishCurrentContext: options.closeCurrentPage ? 'true' : 'false'
      });
    } else {
      navigator.push({
        url: '' + host + weexPageList[currentOptions.page].path + '.html?' + (0, _qs.stringify)(currentOptions.pageQueryParams),
        finishCurrentContex: options.closeCurrentPage ? 'true' : 'false'
      });
    }
  } else {
    navigator.push({
      route: 'route://' + currentOptions.type + '?' + (0, _qs.stringify)(_extends({
        _tpl_type: currentOptions.tplType,
        _tpl: currentOptions.tpl
      }, currentOptions.otherOptions)),
      finishCurrentContex: options.closeCurrentPage ? 'true' : 'false'
    });
  }
};

var _qs = __webpack_require__(4);

var navigator = weex.requireModule('navigator');

var weexPageList = {
  index: {
    path: 'index'
  },
  pageSign: {
    path: 'page/page-sign/index',
    title: '每日签到',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageBills: {
    path: 'page/page-bills/index',
    title: '金额明细'
  },
  drawList: {
    path: 'page/draw-list/index',
    title: '提现记录'
  },
  drawDetail: {
    path: 'page/draw-list/draw-detail/index',
    title: '提现详情'
  },
  mallOrder: {
    path: 'page/mall-order/index',
    title: '商城订单'
  },
  mallOrderFind: {
    path: 'page/mall-order/find/index',
    title: '找回京东订单'
  },
  pageGoodDetail: {
    path: 'page/page-good-detail/index',
    title: '商品详情',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  loginIndex: {
    path: 'page/module-login/page-index/index',
    title: '登录',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  loginVerfication: {
    path: 'page/module-login/page-verification/index',
    title: '输入验证码',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  loginPassword: {
    path: 'page/module-login/page-password-login/index',
    title: '账号密码登录',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  loginVerficationThird: {
    path: 'page/module-login/page-verification-third-part/index',
    title: '手机号验证',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  loginMulti: {
    path: 'page/module-login/page-multi/index',
    title: '手机号不唯一',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  loginMultiDetail: {
    path: 'page/module-login/page-multi-detail/index',
    title: '登录账号',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageCoupon: {
    path: 'page/page-coupon/index',
    title: '淘宝天猫优惠券精选',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageSearchList: {
    path: 'page/module-goods/page-search-list/index',
    title: '查询返利',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageSearchIndex: {
    path: 'page/page-search-index/index',
    title: '查询返利',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageZero: {
    path: 'page/page-zero/index',
    title: '惠购网新用户 0 元购',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageGoodsShare: {
    path: 'page/module-goods/page-goods-share/index',
    title: '分享商品赚钱',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageOrderTaobao: {
    path: 'page/module-order/page-order-taobao/index',
    title: '淘宝订单',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageOrderTaobaoMiddle: {
    path: 'page/module-order/page-order-taobao-middle/index',
    title: '订单详情',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageWalletIndex: {
    path: 'page/module-wallet/page-index/index',
    title: '我的钱包',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageExtractShare: {
    path: 'page/module-wallet/page-extract-share/index',
    title: '提取分享奖励',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageExtractMall: {
    path: 'page/module-wallet/page-extract-mall/index',
    title: '提取返利',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageExtractTaobao: {
    path: 'page/module-wallet/page-extract-taobao/index',
    title: '提取返利',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageExtractSuccess: {
    path: 'page/module-wallet/page-extract-success/index',
    title: '提交成功',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageOrderShare: {
    path: 'page/module-order/page-order-share/index',
    title: '分享订单',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageOrderMallV2: {
    path: 'page/module-order/page-order-mall/index',
    title: '商城订单',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageOrderMallFindV2: {
    path: 'page/module-order/page-order-mall-find/index',
    title: '找回商城订单',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  },
  pageMallSearchList: {
    path: 'page/module-goods/page-mall-search-list/index',
    title: '商城搜索',
    otherOptions: {
      _navigation_bar_background: 'FFFFFF',
      _status_bar_color: 'FFFFFF',
      _status_bar_model: 'light',
      _page_title_theme_color: '000000'
    }
  }
};

/***/ }),

/***/ 613:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _index = __webpack_require__(614);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_index2.default.el = '#root';
new Vue(_index2.default);

/***/ }),

/***/ 614:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(615)
)

/* script */
__vue_exports__ = __webpack_require__(616)

/* template */
var __vue_template__ = __webpack_require__(617)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "D:\\weex-2\\src\\index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-1a4d8e3c"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 615:
/***/ (function(module, exports) {

module.exports = {
  "wrapper": {
    "alignItems": "center"
  },
  "button": {
    "marginTop": "24"
  }
}

/***/ }),

/***/ 616:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _wxcButton = __webpack_require__(319);

var _wxcButton2 = _interopRequireDefault(_wxcButton);

var _router = __webpack_require__(6);

var _router2 = _interopRequireDefault(_router);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var permission = weex.requireModule('xll-permission');
var modal = weex.requireModule('modal');

exports.default = {
  name: 'APP',

  components: { WxcButton: _wxcButton2.default },

  data: function data() {
    return {
      buttonData: [{
        text: '商城搜索结果页',
        page: 'pageMallSearchList',
        query: {
          q: '小'
        }
      }, {
        text: '分享订单页',
        page: 'pageOrderShare'
      }, {
        text: '提取返利成功页',
        page: 'pageExtractSuccess'
      }, {
        text: '提取淘宝返利',
        page: 'pageExtractTaobao'
      }, {
        text: '提取商城返利',
        page: 'pageExtractMall'
      }, {
        text: '提取分享奖励',
        page: 'pageExtractShare'
      }, {
        text: '分享商品',
        page: 'pageGoodsShare',
        query: {
          id: '545038308339'
        }
      }, {
        text: '淘宝订单页',
        page: 'pageOrderTaobao'
      }, {
        text: '淘宝订单中间页',
        page: 'pageOrderTaobaoMiddle',
        query: {
          id: '545038308339'
        }
      }, {
        text: '每日签到页',
        page: 'pageSign'
      }, {
        text: '商城订单页',
        page: 'mallOrder'
      }, {
        text: '商城订单v2',
        page: 'pageOrderMallV2'
      }, {
        text: '找回商城订单v2',
        page: 'pageOrderMallFindV2'
      }, {
        text: '找回京东订单页',
        page: 'mallOrderFind'
      }, {
        text: '提现记录页',
        page: 'drawList'
      }, {
        text: '金额明细页',
        page: 'pageBills'
      }, {
        text: '商品详情中间页',
        page: 'pageGoodDetail',
        query: {
          id: '586805978988',
          from: 'welfare',
          click_url: 'https://uland.taobao.com/coupon/edetail?e=ldg%2BAcnfWPEGQASttHIRqT7fiKC%2FHkOHstUbjTcC7bHiH4Iumy%2F6sRzPVTB43u%2FHrlWgc8GdZUGSRka4bm%2FilDEhJpUUrcnYosMMazrlIB%2FwoVSdqdEeBXY9x3IctcCWLspxGy3zBjY8IeN8lvhRA2lzrR4%2Bfrcb2XhfVVaMpqEenMEaiYLknx0KFyk1JImP&traceId=0b154f4b15514196036207061e5844&union_lens=lensId:0b015dd6_0b12_16937d07abd_46ad&xId=S0QX2HuxgVmYn2n14rkeX2KmmkSz2eJENYWgeFJLFcilArrsLuK20dV43mpipRVpiXQpMXNyWaAugEMJIUiqqk',
          title: '南孚助听器锌空电池A13 PR48 S13 P13耳蜗/内耳背式纽扣小电子6粒助听器数显小号圆形专用电池1.45V',
          pic_url: '//img.alicdn.com/bao/uploaded/i2/2183142348/O1CN01I0fdfn1TDQSo4bpYh_!!0-item_pic.jpg',
          shop_type: 'tmall',
          condition: '59',
          amount: '20',
          coupon_code: '200',
          timestamp_expired_at: '1551542400',
          allow_open_in_huigou: '1',
          price_after_coupon: '1.9',
          price: '21.9'
        }
      }, {
        text: '登录',
        page: 'loginIndex'
      }, {
        text: '多账号登cc录',
        page: 'loginMulti',
        query: {
          mobile: '18906394105',
          code: '711156'
        }
      }, {
        text: '优惠券',
        page: 'pageCoupon',
        query: {
          // category_id: '50008165',
          type: '3',
          title: '品牌优惠券'
          // eslint-disable-next-line
          // sub_cats: '[{"category_id":50011975,"name":"\u6bdb\u7ed2\u5e03\u827a\u7c7b\u73a9\u5177"},{"category_id":50012770,"name":"\u5a03\u5a03\/\u914d\u4ef6"},{"category_id":50024128,"name":"\u9759\u6001\u6a21\u578b"},{"category_id":50013198,"name":"\u7ae5\u8f66\/\u513f\u7ae5\u8f6e\u6ed1"},{"category_id":50008876,"name":"\u65e9\u6559\/\u667a\u80fd\u73a9\u5177"},{"category_id":2512,"name":"\u6237\u5916\u8fd0\u52a8\/\u4f11\u95f2\/\u4f20\u7edf\u73a9\u5177"}]',
        }
      }, {
        text: '返利搜索页',
        page: 'pageSearchList',
        query: {
          q: '衣服'
        }
      }, {
        text: '返利首页',
        page: 'pageSearchIndex'
      }, {
        text: '零元购',
        page: 'pageZero'
      }, {
        text: '钱包首页',
        page: 'pageWalletIndex'
      }]
    };
  },

  methods: {
    checkPermission: function checkPermission() {
      modal.alert({ message: '检查权限' });
      permission.hasPermission({
        permissionString: 'ACCESS_NOTIFICATION'
      }, function (event) {
        modal.alert({ message: JSON.stringify(event) });
      });
    },
    requestPermission: function requestPermission() {
      modal.alert({ message: '请求权限' });
      permission.requestPermission({
        permissionString: 'ACCESS_NOTIFICATION',
        title: '开启权限',
        message: '到[设置->应用管理->惠购网->通知管理->允许通知]开启通知功能'
      }, function (event) {
        modal.alert({ message: JSON.stringify(event) });
      });
    },
    goGoodDetail: function goGoodDetail(_ref) {
      var page = _ref.page,
          query = _ref.query;

      (0, _router2.default)({
        page: page,
        pageQueryParams: query
      });
    }
  }
};

/***/ }),

/***/ 617:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["wrapper"]
  }, [_c('wxc-button', {
    staticClass: ["button"],
    attrs: {
      "text": "检查权限",
      "type": "yellow"
    },
    on: {
      "wxcButtonClicked": _vm.checkPermission
    }
  }), _c('wxc-button', {
    staticClass: ["button"],
    attrs: {
      "text": "请求权限",
      "type": "yellow"
    },
    on: {
      "wxcButtonClicked": _vm.requestPermission
    }
  }), _vm._l((_vm.buttonData), function(i) {
    return _c('wxc-button', {
      key: i.text,
      staticClass: ["button"],
      attrs: {
        "text": i.text,
        "type": "yellow"
      },
      on: {
        "wxcButtonClicked": function($event) {
          _vm.goGoodDetail(i)
        }
      }
    })
  })], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(2);
var formats = __webpack_require__(3);

var arrayPrefixGenerators = {
    brackets: function brackets(prefix) { // eslint-disable-line func-name-matching
        return prefix + '[]';
    },
    indices: function indices(prefix, key) { // eslint-disable-line func-name-matching
        return prefix + '[' + key + ']';
    },
    repeat: function repeat(prefix) { // eslint-disable-line func-name-matching
        return prefix;
    }
};

var isArray = Array.isArray;
var push = Array.prototype.push;
var pushToArray = function (arr, valueOrArray) {
    push.apply(arr, isArray(valueOrArray) ? valueOrArray : [valueOrArray]);
};

var toISO = Date.prototype.toISOString;

var defaults = {
    addQueryPrefix: false,
    allowDots: false,
    charset: 'utf-8',
    charsetSentinel: false,
    delimiter: '&',
    encode: true,
    encoder: utils.encode,
    encodeValuesOnly: false,
    // deprecated
    indices: false,
    serializeDate: function serializeDate(date) { // eslint-disable-line func-name-matching
        return toISO.call(date);
    },
    skipNulls: false,
    strictNullHandling: false
};

var stringify = function stringify( // eslint-disable-line func-name-matching
    object,
    prefix,
    generateArrayPrefix,
    strictNullHandling,
    skipNulls,
    encoder,
    filter,
    sort,
    allowDots,
    serializeDate,
    formatter,
    encodeValuesOnly,
    charset
) {
    var obj = object;
    if (typeof filter === 'function') {
        obj = filter(prefix, obj);
    } else if (obj instanceof Date) {
        obj = serializeDate(obj);
    }

    if (obj === null) {
        if (strictNullHandling) {
            return encoder && !encodeValuesOnly ? encoder(prefix, defaults.encoder, charset) : prefix;
        }

        obj = '';
    }

    if (typeof obj === 'string' || typeof obj === 'number' || typeof obj === 'boolean' || utils.isBuffer(obj)) {
        if (encoder) {
            var keyValue = encodeValuesOnly ? prefix : encoder(prefix, defaults.encoder, charset);
            return [formatter(keyValue) + '=' + formatter(encoder(obj, defaults.encoder, charset))];
        }
        return [formatter(prefix) + '=' + formatter(String(obj))];
    }

    var values = [];

    if (typeof obj === 'undefined') {
        return values;
    }

    var objKeys;
    if (Array.isArray(filter)) {
        objKeys = filter;
    } else {
        var keys = Object.keys(obj);
        objKeys = sort ? keys.sort(sort) : keys;
    }

    for (var i = 0; i < objKeys.length; ++i) {
        var key = objKeys[i];

        if (skipNulls && obj[key] === null) {
            continue;
        }

        if (Array.isArray(obj)) {
            pushToArray(values, stringify(
                obj[key],
                generateArrayPrefix(prefix, key),
                generateArrayPrefix,
                strictNullHandling,
                skipNulls,
                encoder,
                filter,
                sort,
                allowDots,
                serializeDate,
                formatter,
                encodeValuesOnly,
                charset
            ));
        } else {
            pushToArray(values, stringify(
                obj[key],
                prefix + (allowDots ? '.' + key : '[' + key + ']'),
                generateArrayPrefix,
                strictNullHandling,
                skipNulls,
                encoder,
                filter,
                sort,
                allowDots,
                serializeDate,
                formatter,
                encodeValuesOnly,
                charset
            ));
        }
    }

    return values;
};

module.exports = function (object, opts) {
    var obj = object;
    var options = opts ? utils.assign({}, opts) : {};

    if (options.encoder !== null && options.encoder !== undefined && typeof options.encoder !== 'function') {
        throw new TypeError('Encoder has to be a function.');
    }

    var delimiter = typeof options.delimiter === 'undefined' ? defaults.delimiter : options.delimiter;
    var strictNullHandling = typeof options.strictNullHandling === 'boolean' ? options.strictNullHandling : defaults.strictNullHandling;
    var skipNulls = typeof options.skipNulls === 'boolean' ? options.skipNulls : defaults.skipNulls;
    var encode = typeof options.encode === 'boolean' ? options.encode : defaults.encode;
    var encoder = typeof options.encoder === 'function' ? options.encoder : defaults.encoder;
    var sort = typeof options.sort === 'function' ? options.sort : null;
    var allowDots = typeof options.allowDots === 'undefined' ? defaults.allowDots : !!options.allowDots;
    var serializeDate = typeof options.serializeDate === 'function' ? options.serializeDate : defaults.serializeDate;
    var encodeValuesOnly = typeof options.encodeValuesOnly === 'boolean' ? options.encodeValuesOnly : defaults.encodeValuesOnly;
    var charset = options.charset || defaults.charset;
    if (typeof options.charset !== 'undefined' && options.charset !== 'utf-8' && options.charset !== 'iso-8859-1') {
        throw new Error('The charset option must be either utf-8, iso-8859-1, or undefined');
    }

    if (typeof options.format === 'undefined') {
        options.format = formats['default'];
    } else if (!Object.prototype.hasOwnProperty.call(formats.formatters, options.format)) {
        throw new TypeError('Unknown format option provided.');
    }
    var formatter = formats.formatters[options.format];
    var objKeys;
    var filter;

    if (typeof options.filter === 'function') {
        filter = options.filter;
        obj = filter('', obj);
    } else if (Array.isArray(options.filter)) {
        filter = options.filter;
        objKeys = filter;
    }

    var keys = [];

    if (typeof obj !== 'object' || obj === null) {
        return '';
    }

    var arrayFormat;
    if (options.arrayFormat in arrayPrefixGenerators) {
        arrayFormat = options.arrayFormat;
    } else if ('indices' in options) {
        arrayFormat = options.indices ? 'indices' : 'repeat';
    } else {
        arrayFormat = 'indices';
    }

    var generateArrayPrefix = arrayPrefixGenerators[arrayFormat];

    if (!objKeys) {
        objKeys = Object.keys(obj);
    }

    if (sort) {
        objKeys.sort(sort);
    }

    for (var i = 0; i < objKeys.length; ++i) {
        var key = objKeys[i];

        if (skipNulls && obj[key] === null) {
            continue;
        }
        pushToArray(keys, stringify(
            obj[key],
            key,
            generateArrayPrefix,
            strictNullHandling,
            skipNulls,
            encode ? encoder : null,
            filter,
            sort,
            allowDots,
            serializeDate,
            formatter,
            encodeValuesOnly,
            charset
        ));
    }

    var joined = keys.join(delimiter);
    var prefix = options.addQueryPrefix === true ? '?' : '';

    if (options.charsetSentinel) {
        if (charset === 'iso-8859-1') {
            // encodeURIComponent('&#10003;'), the "numeric entity" representation of a checkmark
            prefix += 'utf8=%26%2310003%3B&';
        } else {
            // encodeURIComponent('✓')
            prefix += 'utf8=%E2%9C%93&';
        }
    }

    return joined.length > 0 ? prefix + joined : '';
};


/***/ }),

/***/ 8:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var utils = __webpack_require__(2);

var has = Object.prototype.hasOwnProperty;

var defaults = {
    allowDots: false,
    allowPrototypes: false,
    arrayLimit: 20,
    charset: 'utf-8',
    charsetSentinel: false,
    decoder: utils.decode,
    delimiter: '&',
    depth: 5,
    ignoreQueryPrefix: false,
    interpretNumericEntities: false,
    parameterLimit: 1000,
    parseArrays: true,
    plainObjects: false,
    strictNullHandling: false
};

var interpretNumericEntities = function (str) {
    return str.replace(/&#(\d+);/g, function ($0, numberStr) {
        return String.fromCharCode(parseInt(numberStr, 10));
    });
};

// This is what browsers will submit when the ✓ character occurs in an
// application/x-www-form-urlencoded body and the encoding of the page containing
// the form is iso-8859-1, or when the submitted form has an accept-charset
// attribute of iso-8859-1. Presumably also with other charsets that do not contain
// the ✓ character, such as us-ascii.
var isoSentinel = 'utf8=%26%2310003%3B'; // encodeURIComponent('&#10003;')

// These are the percent-encoded utf-8 octets representing a checkmark, indicating that the request actually is utf-8 encoded.
var charsetSentinel = 'utf8=%E2%9C%93'; // encodeURIComponent('✓')

var parseValues = function parseQueryStringValues(str, options) {
    var obj = {};
    var cleanStr = options.ignoreQueryPrefix ? str.replace(/^\?/, '') : str;
    var limit = options.parameterLimit === Infinity ? undefined : options.parameterLimit;
    var parts = cleanStr.split(options.delimiter, limit);
    var skipIndex = -1; // Keep track of where the utf8 sentinel was found
    var i;

    var charset = options.charset;
    if (options.charsetSentinel) {
        for (i = 0; i < parts.length; ++i) {
            if (parts[i].indexOf('utf8=') === 0) {
                if (parts[i] === charsetSentinel) {
                    charset = 'utf-8';
                } else if (parts[i] === isoSentinel) {
                    charset = 'iso-8859-1';
                }
                skipIndex = i;
                i = parts.length; // The eslint settings do not allow break;
            }
        }
    }

    for (i = 0; i < parts.length; ++i) {
        if (i === skipIndex) {
            continue;
        }
        var part = parts[i];

        var bracketEqualsPos = part.indexOf(']=');
        var pos = bracketEqualsPos === -1 ? part.indexOf('=') : bracketEqualsPos + 1;

        var key, val;
        if (pos === -1) {
            key = options.decoder(part, defaults.decoder, charset);
            val = options.strictNullHandling ? null : '';
        } else {
            key = options.decoder(part.slice(0, pos), defaults.decoder, charset);
            val = options.decoder(part.slice(pos + 1), defaults.decoder, charset);
        }

        if (val && options.interpretNumericEntities && charset === 'iso-8859-1') {
            val = interpretNumericEntities(val);
        }
        if (has.call(obj, key)) {
            obj[key] = utils.combine(obj[key], val);
        } else {
            obj[key] = val;
        }
    }

    return obj;
};

var parseObject = function (chain, val, options) {
    var leaf = val;

    for (var i = chain.length - 1; i >= 0; --i) {
        var obj;
        var root = chain[i];

        if (root === '[]' && options.parseArrays) {
            obj = [].concat(leaf);
        } else {
            obj = options.plainObjects ? Object.create(null) : {};
            var cleanRoot = root.charAt(0) === '[' && root.charAt(root.length - 1) === ']' ? root.slice(1, -1) : root;
            var index = parseInt(cleanRoot, 10);
            if (!options.parseArrays && cleanRoot === '') {
                obj = { 0: leaf };
            } else if (
                !isNaN(index)
                && root !== cleanRoot
                && String(index) === cleanRoot
                && index >= 0
                && (options.parseArrays && index <= options.arrayLimit)
            ) {
                obj = [];
                obj[index] = leaf;
            } else {
                obj[cleanRoot] = leaf;
            }
        }

        leaf = obj;
    }

    return leaf;
};

var parseKeys = function parseQueryStringKeys(givenKey, val, options) {
    if (!givenKey) {
        return;
    }

    // Transform dot notation to bracket notation
    var key = options.allowDots ? givenKey.replace(/\.([^.[]+)/g, '[$1]') : givenKey;

    // The regex chunks

    var brackets = /(\[[^[\]]*])/;
    var child = /(\[[^[\]]*])/g;

    // Get the parent

    var segment = brackets.exec(key);
    var parent = segment ? key.slice(0, segment.index) : key;

    // Stash the parent if it exists

    var keys = [];
    if (parent) {
        // If we aren't using plain objects, optionally prefix keys that would overwrite object prototype properties
        if (!options.plainObjects && has.call(Object.prototype, parent)) {
            if (!options.allowPrototypes) {
                return;
            }
        }

        keys.push(parent);
    }

    // Loop through children appending to the array until we hit depth

    var i = 0;
    while ((segment = child.exec(key)) !== null && i < options.depth) {
        i += 1;
        if (!options.plainObjects && has.call(Object.prototype, segment[1].slice(1, -1))) {
            if (!options.allowPrototypes) {
                return;
            }
        }
        keys.push(segment[1]);
    }

    // If there's a remainder, just add whatever is left

    if (segment) {
        keys.push('[' + key.slice(segment.index) + ']');
    }

    return parseObject(keys, val, options);
};

module.exports = function (str, opts) {
    var options = opts ? utils.assign({}, opts) : {};

    if (options.decoder !== null && options.decoder !== undefined && typeof options.decoder !== 'function') {
        throw new TypeError('Decoder has to be a function.');
    }

    options.ignoreQueryPrefix = options.ignoreQueryPrefix === true;
    options.delimiter = typeof options.delimiter === 'string' || utils.isRegExp(options.delimiter) ? options.delimiter : defaults.delimiter;
    options.depth = typeof options.depth === 'number' ? options.depth : defaults.depth;
    options.arrayLimit = typeof options.arrayLimit === 'number' ? options.arrayLimit : defaults.arrayLimit;
    options.parseArrays = options.parseArrays !== false;
    options.decoder = typeof options.decoder === 'function' ? options.decoder : defaults.decoder;
    options.allowDots = typeof options.allowDots === 'undefined' ? defaults.allowDots : !!options.allowDots;
    options.plainObjects = typeof options.plainObjects === 'boolean' ? options.plainObjects : defaults.plainObjects;
    options.allowPrototypes = typeof options.allowPrototypes === 'boolean' ? options.allowPrototypes : defaults.allowPrototypes;
    options.parameterLimit = typeof options.parameterLimit === 'number' ? options.parameterLimit : defaults.parameterLimit;
    options.strictNullHandling = typeof options.strictNullHandling === 'boolean' ? options.strictNullHandling : defaults.strictNullHandling;

    if (typeof options.charset !== 'undefined' && options.charset !== 'utf-8' && options.charset !== 'iso-8859-1') {
        throw new Error('The charset option must be either utf-8, iso-8859-1, or undefined');
    }
    if (typeof options.charset === 'undefined') {
        options.charset = defaults.charset;
    }

    if (str === '' || str === null || typeof str === 'undefined') {
        return options.plainObjects ? Object.create(null) : {};
    }

    var tempObj = typeof str === 'string' ? parseValues(str, options) : str;
    var obj = options.plainObjects ? Object.create(null) : {};

    // Iterate over the keys and setup the new object

    var keys = Object.keys(tempObj);
    for (var i = 0; i < keys.length; ++i) {
        var key = keys[i];
        var newObj = parseKeys(key, tempObj[key], options);
        obj = utils.merge(obj, newObj, options);
    }

    return utils.compact(obj);
};


/***/ })

/******/ });